%%%%%%%%%%%%%%%% Source code to reproduce Figure 7 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Written in Matlab R2022a

clearvars;close all;clc % cleaning


% define category for each dataset
Categories = {'barks','flowers','fruits','leaves','plantfruits','vegetables','stones','beetles','birds','butterflies'};

% load the Argentina dataset from excel file
filename_prefix = 'Database_Objetos_Naturales_Final_';
species = {'Animals', 'Plants', 'Stones'};
mapping = containers.Map( ...
    {'Barks (Ba)','Flowers (Fl)','Fruits (F)','Leaves (L)','Plant fruits (Fr)','Vegetables (V)','Stones (S)','Beetles (Be)','Birds (B)','Butterflies (Bu)'}, ...
    Categories);
wls = (400:4:1000)';

Data_Argentina = Get_ArgentinaDataset(filename_prefix,species,mapping,wls);

% put dataset to Data
Data.Argentina = Data_Argentina;
Categories = [Categories, 'all'];
for i = 1:length(Categories)
    Data.category = Categories{i};
    plotAUC(Data);
end


